Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DbChannel..::.SendMessage Method
DbChannel Class See Also Send Feedback

Send a message on the message channel. The message is sent asynchronously. The method does not wait for a response before returning. It usually completes quickly because it only waits for local TCP implementation to accept the bytes into its network data buffer. However, this message could block briefly for longer messages, and/or if the network data buffer is nearly full. It could even block indefinitely if the remote site is slow to read.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void SendMessage(
    	DatabaseEntry[] msg
    )

Visual Basic (Declaration)
    Public Sub SendMessage ( _
    	msg As DatabaseEntry() _
    )

Visual C++
    public:
    void SendMessage(
    	array<DatabaseEntry^>^ msg
    )

#### Parameters

msg
  Type: array< BerkeleyDB..::.DatabaseEntry >[]()[]
  An array of DatabaseEntry objects. Any flags for the DatabaseEntry objects are ignored.

# Remarks

To block while waiting for a response from a remote site, use SendRequest(array<DatabaseEntry>[]()[], UInt32) instead of this method.

The sent message is received and handled at remote sites using a message dispatch callback, which is configured using RepMessageDispatch. This method may be used within the message dispatch callback on the remote site to send a reply or acknowledgement for messages that it receives and is handling.

This method may be used on channels opened to any destination. See RepMgrChannel(Int32) for a list of potential destinations.

# See Also

DbChannel Class
BerkeleyDB Namespace